## org.opengis.temporal
Interface Separation

All Known Subinterfaces:
  Instant, Period, TemporalGeometricPrimitive

    @UML(identifier="TM_Separation",
         specification=ISO_19108)
    public interface Separation

Provides operations for calculating temporal length and distance.

TODO:
  The Javadoc suggest that this interface should extends some kind of temporal geometric primitive.

Method Summary
`Duration` `distance(TemporalGeometricPrimitive other)` Returns the distance from this temporal geometric primitive to another temporal geometric primitive.
`Duration` `length()` Return the duration of this temporal geometric primitive.

Method Detail

### distance

    @UML(identifier="distance",
         obligation=MANDATORY,
         specification=ISO_19108)
    Duration distance(TemporalGeometricPrimitive other)

  Returns the distance from this temporal geometric primitive to another temporal geometric primitive. This is the absolute value of the difference b/n their temporal positions.

### length

    @UML(identifier="length",
         obligation=MANDATORY,
         specification=ISO_19108)
    Duration length()

  Return the duration of this temporal geometric primitive.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.